[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'keyboard' (#rtl)

# TKeyEvent

Base type to describe all key events.

## Declaration

Source position: keybrdh.inc line 21

`type TKeyEvent = Cardinal;`

## Description

The TKeyEvent type is the base type for all keyboard events.

The key stroke is encoded in the 4 bytes of the TKeyEvent type. The various fields of the key stroke encoding can be obtained by typecasting the TKeyEvent type to the TKeyRecord type.

Documentation generated on: Feb 26 2014